<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.113
Name: Prognosis Observation
Description: This template represents the patient’s prognosis, which must be associated with a problem observation. It may serve as an alert to scope intervention plans. The effectiveTime represents the clinically relevant time of the observation. The observation/value is not constrained and can represent the expected life duration in PQ, an anticipated course of the disease
                in text, or coded term.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000">
   <title>Prognosis Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]
Item: (PrognosisObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']"
         id="tmp-r-e49f3a08-2f27-46cd-a0f8-7155aaa11309">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@classCode)=('OBS')">CONF:1098-29035: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1098-29036: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113']/@nullFlavor)">(PrognosisObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'])&lt;=1">(PrognosisObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(PrognosisObservation): element cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(PrognosisObservation): element cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(PrognosisObservation): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(PrognosisObservation): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&gt;=1 ">(PrognosisObservation): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(PrognosisObservation): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:value)&gt;=1 and not(cda:value/@nullFlavor)">(PrognosisObservation): element cda:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="count(cda:value)&lt;=1">(PrognosisObservation): element cda:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113']
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.113']"
         id="tmp-r-8c05f4d0-b8c0-41f3-a2a3-acc99621901c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.113')">CONF:1098-29038: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.113' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4606bbe1-abe8-44f0-8701-5902a8dda5ef">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')">(PrognosisObservation): de elementwaarde MOET een zijn van 'code '75328-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:statusCode[@code='completed']
Item: (PrognosisObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:statusCode[@code='completed']"
         id="tmp-r-3fe73441-1dc7-4abd-806f-30a11127dced">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.113-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(PrognosisObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:effectiveTime
Item: (PrognosisObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.113
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.113']/cda:value
Item: (PrognosisObservation)
-->
</pattern>
