<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.2
Name: Result Observation (V3)
Description: This template represents the results of a laboratory, radiology, or other study performed on a patient. The result observation includes a statusCode to allow recording the status of an observation. “Pending” results (e.g., a test has been run but results have not been reported yet) should be represented as “active” ActStatus.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000">
   <title>Result Observation (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']"
         id="tmp-r-989c75bd-fbf3-4997-882c-7a97d3cc6858">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@classCode)=('OBS')">CONF:1198-7130: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1198-7131: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']/@nullFlavor)">(ResultObservationV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'])&lt;=1">(ResultObservationV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:id)&gt;=1 ">(ResultObservationV3): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:code[@codeSystem='2.16.840.1.113883.6.1'])&gt;=1 and not(cda:code[@codeSystem='2.16.840.1.113883.6.1']/@nullFlavor)">(ResultObservationV3): element cda:code[@codeSystem='2.16.840.1.113883.6.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:code[@codeSystem='2.16.840.1.113883.6.1'])&lt;=1">(ResultObservationV3): element cda:code[@codeSystem='2.16.840.1.113883.6.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:statusCode)&gt;=1 and not(cda:statusCode/@nullFlavor)">(ResultObservationV3): element cda:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:statusCode)&lt;=1">(ResultObservationV3): element cda:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&gt;=1 ">(ResultObservationV3): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(ResultObservationV3): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value)&gt;=1 and not(cda:value/@nullFlavor)">(ResultObservationV3): element cda:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value)&lt;=1">(ResultObservationV3): element cda:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:methodCode)&lt;=1">(ResultObservationV3): element cda:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:targetSiteCode)&lt;=1">(ResultObservationV3): element cda:targetSiteCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.2']"
         id="tmp-r-52e9c59e-0b20-4c34-8812-0d7a45e7a9a6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.2')">CONF:1198-9138: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.2' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="string(@extension)=('2015-08-01')">CONF:1198-32575: de waarde van @extension MOET '2015-08-01' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:id
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:code[@codeSystem='2.16.840.1.113883.6.1']
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:code[@codeSystem='2.16.840.1.113883.6.1']"
         id="tmp-r-923c2796-736b-4bbf-8264-cc0988692b3b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1')">(ResultObservationV3): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:statusCode
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:effectiveTime
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:value
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:value"
         id="tmp-r-755c892b-73ea-4752-8744-dfc1bfd4631a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(.[@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.96']) or not(.[@xsi:type='CD'])">(ResultObservationV3): If Observation/value is a CD (*xsi:type*=*"CD"*) the value SHOULD be SNOMED-CT</assert>
      <assert role="error"
              test="(.[@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.96']) or not(.[@xsi:type='CD'])">(ResultObservationV3): If Observation/value is a CD (*xsi:type*=*"CD"*) the value SHOULD be SNOMED-CT</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:interpretationCode
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:interpretationCode"
         id="tmp-r-99482aac-1dad-4fd8-a64d-c18eca271244">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="@code">CONF:1198-32476: attribute @code MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">CONF:1198-32476: de waarde van code MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.78' Observation Interpretation (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:methodCode"
         id="tmp-r-2b5e26e5-9bd4-40bc-aff2-a9d0436ce834">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:targetSiteCode"
         id="tmp-r-a14bd02e-9923-4244-83ce-2a80dfa19ca3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservationV3): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']/@nullFlavor)">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&lt;=1">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time)&gt;=1 and not(cda:time/@nullFlavor)">(AuthorParticipation): element cda:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time)&lt;=1">(AuthorParticipation): element cda:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor)&gt;=1 and not(cda:assignedAuthor/@nullFlavor)">(AuthorParticipation): element cda:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor)&lt;=1">(AuthorParticipation): element cda:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.119' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:time
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1 ">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code)&lt;=1">(AuthorParticipation): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson)&lt;=1">(AuthorParticipation): element cda:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization)&lt;=1">(AuthorParticipation): element cda:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:id
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:code
Item: (AuthorParticipation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:code">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorParticipation): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AuthorParticipation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange"
         id="tmp-r-45f15543-14e2-4fd2-a3de-f7fa8b39e43c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:observationRange)&gt;=1 and not(cda:observationRange/@nullFlavor)">(ResultObservationV3): element cda:observationRange is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:observationRange)&lt;=1">(ResultObservationV3): element cda:observationRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange
Item: (ResultObservationV3)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange"
         id="tmp-r-d46ddc91-e465-4cd9-902e-29bb94cb86e6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:code)=0">(ResultObservationV3): element cda:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value)&gt;=1 and not(cda:value/@nullFlavor)">(ResultObservationV3): element cda:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.2-2015-08-01T000000.html"
              test="count(cda:value)&lt;=1">(ResultObservationV3): element cda:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange/cda:code
Item: (ResultObservationV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.2
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.2']/cda:referenceRange/cda:observationRange/cda:value
Item: (ResultObservationV3)
-->
</pattern>
