<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.32
Name: Service Delivery Location
Description: This clinical statement represents the location of a service event where an act, observation or procedure took place.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000">
   <title>Service Delivery Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]
Item: (ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']"
         id="tmp-r-d8764bfd-7277-4781-a437-b1854249770c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="string(@classCode)=('SDLOC')">conf-7758: de waarde van @classCode MOET 'SDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32']/@nullFlavor)">(ServiceDeliveryLocation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'])&lt;=1">(ServiceDeliveryLocation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(ServiceDeliveryLocation): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(ServiceDeliveryLocation): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="count(cda:playingEntity)&lt;=1">(ServiceDeliveryLocation): element cda:playingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.32']"
         id="tmp-r-22ae1329-7389-4570-9f29-b01911e36e4b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.32')">conf-10524: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.32' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-f564b394-bdb7-47ff-b506-73b687488efe">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ServiceDeliveryLocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.20275 HealthcareServiceLocation (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ServiceDeliveryLocation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.20275 HealthcareServiceLocation (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:addr
Item: (ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:telecom
Item: (ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:playingEntity
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:playingEntity"
         id="tmp-r-479a4468-a1b1-4e91-91a9-a7c10bd1a823">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="string(@classCode)=('PLC')">conf-7763: de waarde van @classCode MOET 'PLC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.32-2013-01-31T000000.html"
              test="count(cda:name)&lt;=1">(ServiceDeliveryLocation): element cda:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]/cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']/cda:playingEntity/cda:name
Item: (ServiceDeliveryLocation)
-->
</pattern>
