<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.49
Name: Encounter Activities
Description: This clinical statement describes the interactions between the patient and clinicians. Interactions include in-person encounters, telephone conversations, and email exchanges.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000">
   <title>Encounter Activities</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]
Item: (EncounterActivities)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']"
         id="tmp-r-13e280e3-3641-4b52-b041-517a8506e4f4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@classCode)=('ENC')">conf-8710: de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-8711: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']/@nullFlavor)">(EncounterActivities): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&lt;=1">(EncounterActivities): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:id)&gt;=1 ">(EncounterActivities): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:code)&lt;=1">(EncounterActivities): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&gt;=1 ">(EncounterActivities): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(EncounterActivities): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(sdtc:dischargeDispositionCode)&lt;=1">(EncounterActivities): element sdtc:dischargeDispositionCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']"
         id="tmp-r-066478c9-5981-4091-aa81-ade9a9fa416e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.49')">conf-10494: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.49' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:id
Item: (EncounterActivities)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code"
         id="tmp-r-23cd6662-4e42-4916-aeaf-756459fd5e61">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivities): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivities): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:originalText)&lt;=1">(EncounterActivities): element cda:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText"
         id="tmp-r-f0ff8cab-1b2f-499f-bff0-f8d9ebf6e547">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(EncounterActivities): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText/cda:reference
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code/cda:originalText/cda:reference"
         id="tmp-r-b4b79da7-cc98-43b5-a6f7-2b60cf621aa4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="starts-with(@value, '#')">(EncounterActivities): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
      <assert role="error" test="starts-with(@value, '#')">(EncounterActivities): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:effectiveTime
Item: (EncounterActivities)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode"
         id="tmp-r-2293f102-1785-46db-a2ee-45482ed45a13">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EncounterActivities): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.12.112' and @codeSystemName='HL7v2 table 0112 Dicharge Disposition') or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivities): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.12.112' codeSystemName='HL7v2 table 0112 Dicharge Disposition' of 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivities): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer"
         id="tmp-r-f988e932-ecce-4215-a658-98e262cd813c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:assignedEntity)&gt;=1 and not(cda:assignedEntity/@nullFlavor)">(EncounterActivities): element cda:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:assignedEntity)&lt;=1">(EncounterActivities): element cda:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity
Item: (EncounterActivities)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity"
         id="tmp-r-0640bc2f-f9e8-42ff-966b-614a5984007f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="count(cda:code)&lt;=1">(EncounterActivities): element cda:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity/cda:code
Item: (EncounterActivities)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]
Item: (EncounterActivities)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@typeCode)=('LOC')">conf-8740: de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (EncounterActivities)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2013-01-31T000000.html"
              test="string(@typeCode)=('RSON')">conf-8723: de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]
Item: (EncounterActivities)
--></pattern>
