<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.49
Name: Encounter Activity (V3)
Description: This clinical statement describes an interaction between a patient and clinician. Interactions may include in-person encounters, telephone conversations, and email exchanges.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000">
   <title>Encounter Activity (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]
Item: (EncounterActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']"
         id="tmp-r-2ebe0adb-2e92-41e5-a90d-4fa56cba25b2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@classCode)=('ENC')">CONF:1198-8710: de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1198-8711: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']/@nullFlavor)">(EncounterActivityV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'])&lt;=1">(EncounterActivityV3): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:id)&gt;=1 ">(EncounterActivityV3): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(EncounterActivityV3): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(EncounterActivityV3): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&gt;=1 ">(EncounterActivityV3): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(EncounterActivityV3): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(sdtc:dischargeDispositionCode)&lt;=1">(EncounterActivityV3): element sdtc:dischargeDispositionCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.49']"
         id="tmp-r-0e149bfe-a186-4e21-ac73-700a31c26933">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.49')">CONF:1198-26353: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.49' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@extension)=('2015-08-01')">CONF:1198-32546: de waarde van @extension MOET '2015-08-01' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:id
Item: (EncounterActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-7b621ea1-f492-4690-bf48-1f001e42b51e">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivityV3): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivityV3): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.32 Encounter Type Code (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:originalText)&lt;=1">(EncounterActivityV3): element cda:originalText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:translation)&lt;=1">(EncounterActivityV3): element cda:translation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/cda:originalText
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/cda:originalText"
         id="tmp-r-d477e1c8-5a16-459b-9767-88383df5baf7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:reference)&lt;=1">(EncounterActivityV3): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/cda:originalText/cda:reference
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/cda:originalText/cda:reference"
         id="tmp-r-b11d642a-1438-4ef2-ab65-b614a8669fa8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@value) or starts-with(@value, '#')">(EncounterActivityV3): This reference/@value *SHALL* begin with a '#' and *SHALL* point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
      <assert role="error" test="not(@value) or starts-with(@value, '#')">(EncounterActivityV3): This reference/@value *SHALL* begin with a '#' and *SHALL* point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.32-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/cda:translation
Item: (EncounterActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:effectiveTime
Item: (EncounterActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/sdtc:dischargeDispositionCode"
         id="tmp-r-5e72a9f6-f365-4c9e-af88-709e77dc8047">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.12.112' and @codeSystemName='HL7v2 table 0112 Dicharge Disposition') or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivityV3): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.12.112' codeSystemName='HL7v2 table 0112 Dicharge Disposition' of 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.33-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivityV3): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.33 NUBC UB-04 FL17 Patient Status (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@code">CONF:1198-32177: attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@codeSystem">CONF:1198-32377: attribute @codeSystem MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer"
         id="tmp-r-1998339c-1bb0-4277-8aad-2c067faa64ea">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:assignedEntity)&gt;=1 and not(cda:assignedEntity/@nullFlavor)">(EncounterActivityV3): element cda:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:assignedEntity)&lt;=1">(EncounterActivityV3): element cda:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity"
         id="tmp-r-0fed986d-edc3-4021-82ae-2e61b448c7dc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="count(cda:code)&lt;=1">(EncounterActivityV3): element cda:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity/cda:code
Item: (EncounterActivityV3)
-->

   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:performer/cda:assignedEntity/cda:code"
         id="tmp-r-b7c60f84-df95-4486-a0e5-9b6158452272">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(EncounterActivityV3): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(EncounterActivityV3): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]
Item: (EncounterActivityV3)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:participant[cda:participantRole[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.32']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@typeCode)=('LOC')">CONF:1198-8740: de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (EncounterActivityV3)
-->
   <rule context="*[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.49-2015-08-01T000000.html"
              test="string(@typeCode)=('RSON')">CONF:1198-8723: de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.49
Context: *[cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']]/cda:encounter[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.49']/cda:entryRelationship[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]
Item: (EncounterActivityV3)
--></pattern>
