<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.5
Name: Health Status Observation
Description: The Health Status Observation records information about the current health status of the patient.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000">
   <title>Health Status Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]
Item: (HealthStatusObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']"
         id="tmp-r-5aee7a47-d036-4e15-bd0b-3070db650a7d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-9057: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-9072: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']/@nullFlavor)">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'])&lt;=1">(HealthStatusObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(HealthStatusObservation): element cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(HealthStatusObservation): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(HealthStatusObservation): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(HealthStatusObservation): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(HealthStatusObservation): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']"
         id="tmp-r-896b0a4a-efae-40ea-8f1d-bb15b3442692">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.5')">conf-16757: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.5' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f40c3096-f0fe-4479-848e-384a8df17db7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code '11323-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text"
         id="tmp-r-ca0c8b0c-683a-46f0-9985-960415073ea7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(HealthStatusObservation): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/cda:reference"
         id="tmp-r-dbcff263-4f16-494f-bc42-97ce6e220cac">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(HealthStatusObservation): SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
      <assert role="error" test="not(@value) or starts-with(@value, '#')">(HealthStatusObservation): SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed']
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:statusCode[@code='completed']"
         id="tmp-r-70695d45-5382-461e-ae25-3314100edd63">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(HealthStatusObservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.5
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (HealthStatusObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-669602fa-5f89-43eb-98e2-d4ed73eeb330">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(HealthStatusObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(HealthStatusObservation): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(HealthStatusObservation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.20.12 HealthStatus (DYNAMISCH).</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/*[not(self::cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5'])]"
         id="tmp-r-a6f9d5c1-c089-487b-9237-f3f934de2d9a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-a6f9d5c1-c089-487b-9237-f3f934de2d9a)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/*[not(self::cda:templateId[@root='2.16.840.1.113883.10.20.22.4.5']|self::cda:code[(@code='11323-3' and @codeSystem='2.16.840.1.113883.6.1')]|self::cda:text|self::cda:statusCode[@code='completed']|self::cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.20.12-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])]"
         id="tmp-r-c89277cb-86aa-42c2-abab-29139db8f921">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-c89277cb-86aa-42c2-abab-29139db8f921)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.5']/cda:text/*[not(self::cda:reference)]"
         id="tmp-r-f0e4c11c-8fa3-4aa2-a0db-4992b1197fc8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.5-2013-01-31T000000.html"
              test="not(.)">(HealthStatusObservation): '<name path=".."/>' is gedefinieerd als gesloten en dit element '<name/>' is niet toegestaan, of niet toegestaan met deze inhoud. Mogelijk betreft dit het templateId, code, of id. (rule-reference: tmp-r-f0e4c11c-8fa3-4aa2-a0db-4992b1197fc8)</assert>
   </rule>
</pattern>
