<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.64
Name: Comment Activity
Description: Comments are free text data that cannot otherwise be recorded using data elements already defined by this specification. They are not to be used to record information that can be recorded elsewhere. For example, a free text description of the severity of an allergic reaction would not be recorded in a comment.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000">
   <title>Comment Activity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]
Item: (CommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']"
         id="tmp-r-496ec891-8162-403b-bfb0-f1b94e2a94ae">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="string(@classCode)=('ACT')">conf-9425: de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-9426: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64']/@nullFlavor)">(CommentActivity): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'])&lt;=1">(CommentActivity): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CommentActivity): element cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CommentActivity): element cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:text)&gt;=1 and not(cda:text/@nullFlavor)">(CommentActivity): element cda:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(CommentActivity): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:author)&lt;=1">(CommentActivity): element cda:author komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64']
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64']"
         id="tmp-r-107ce874-88e4-45cd-8cfb-5e9930e309dc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.64')">conf-10491: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.64' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f88bb774-2171-470e-a34d-f862e4428372">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(CommentActivity): de elementwaarde MOET een zijn van 'code '48767-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:text
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:text"
         id="tmp-r-20bebc4f-bf3d-4a50-8f11-be1610f885c9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:reference)&gt;=1 and not(cda:reference/@nullFlavor)">(CommentActivity): element cda:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(CommentActivity): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:text/cda:reference
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:text/cda:reference"
         id="tmp-r-c9621599-ec0c-4a6f-9f79-09fb2affe113">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="@value">conf-15968: attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(CommentActivity): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
      <assert role="error" test="not(@value) or starts-with(@value, '#')">(CommentActivity): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author"
         id="tmp-r-311a01fb-a46f-4c29-a190-96441b496234">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:time)&gt;=1 and not(cda:time/@nullFlavor)">(CommentActivity): element cda:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:time)&lt;=1">(CommentActivity): element cda:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:assignedAuthor)&gt;=1 and not(cda:assignedAuthor/@nullFlavor)">(CommentActivity): element cda:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:assignedAuthor)&lt;=1">(CommentActivity): element cda:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:time
Item: (CommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor"
         id="tmp-r-be5e0439-24c5-4a1f-be5b-a99cbca226ae">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:id)&gt;=1 ">(CommentActivity): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:id)&lt;=1">(CommentActivity): element cda:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:addr)&gt;=1 and not(cda:addr/@nullFlavor)">(CommentActivity): element cda:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:addr)&lt;=1">(CommentActivity): element cda:addr komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(cda:assignedPerson|cda:representedOrganization)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="$elmcount&gt;=1">(CommentActivity): keuze (cda:assignedPerson of cda:representedOrganization) bevat te weinig elementen [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:id
Item: (CommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:addr
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:addr"
         id="tmp-r-f98b9bab-5e66-47b3-ad3b-ecae152a03d7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="cda:streetAddressLine and cda:city and ((not(cda:country) or cda:country!='US') or (cda:country='US' and cda:state and cda:postalCode))">(CommentActivity): The content of addr SHALL be a conformant US Realm Address (AD.US.FIELDED) (2.16.840.1.113883.10.20.22.5.2)</assert>
      <assert role="error"
              test="cda:streetAddressLine and cda:city and ((not(cda:country) or cda:country!='US') or (cda:country='US' and cda:state and cda:postalCode))">(CommentActivity): The content of addr SHALL be a conformant US Realm Address (AD.US.FIELDED) (2.16.840.1.113883.10.20.22.5.2)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:assignedPerson
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:assignedPerson"
         id="tmp-r-8e8e16fb-60e1-4a9f-90d2-da53806f7e78">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:name)&gt;=1 and not(cda:name/@nullFlavor)">(CommentActivity): element cda:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:name)&lt;=1">(CommentActivity): element cda:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name"
         id="tmp-r-dc95b5cb-8e99-4762-a66a-3bac07c7a0ea">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="(cda:given and cda:family) or (not(*) and string-length(.)!=0)">(CommentActivity): The content of name SHALL be a conformant US Realm Person Name (PN.US.FIELDED) (2.16.840.1.113883.10.20.22.5.1.1)</assert>
      <assert role="error"
              test="(cda:given and cda:family) or (not(*) and string-length(.)!=0)">(CommentActivity): The content of name SHALL be a conformant US Realm Person Name (PN.US.FIELDED) (2.16.840.1.113883.10.20.22.5.1.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:representedOrganization
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:representedOrganization"
         id="tmp-r-21ec64a1-3e82-47b1-931f-078aa303e509">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:name)&gt;=1 and not(cda:name/@nullFlavor)">(CommentActivity): element cda:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.10.20.22.4.64-2013-01-31T000000.html"
              test="count(cda:name)&lt;=1">(CommentActivity): element cda:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.64']/cda:author/cda:assignedAuthor/cda:representedOrganization/cda:name
Item: (CommentActivity)
-->
</pattern>
