<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Name: VZVZ Opleveren Contactverslagen
Description: Opleveren Contactverslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000">
   <title>VZVZ Opleveren Contactverslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /
Item: (opleverenContactverslagen)
-->

   <rule context="/" id="tmp-r-901bd673-8c90-43ae-9b9d-d7d309868925">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:REPC_IN990101NL)&gt;=1 ">(opleverenContactverslagen): element hl7:REPC_IN990101NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:REPC_IN990101NL)&lt;=1">(opleverenContactverslagen): element hl7:REPC_IN990101NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL
Item: (opleverenContactverslagen)
-->

   <rule context="/hl7:REPC_IN990101NL"
         id="tmp-r-afb7fccb-5a69-450c-a9e1-8a9a194ead96">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(opleverenContactverslagen): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess)&lt;=1">(opleverenContactverslagen): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess
Item: (opleverenContactverslagen)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess"
         id="tmp-r-f55acaad-c3eb-4895-be09-84db237cf791">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenContactverslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]
Item: (opleverenContactverslagen)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]"
         id="tmp-r-69ea1947-0247-422b-bed8-4da1a0d9da72">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'])&gt;=1 and not(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/@nullFlavor)">(opleverenContactverslagen): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'])&lt;=1">(opleverenContactverslagen): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']
Item: (opleverenContactverslagen)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']"
         id="tmp-r-08446752-d3dc-49ea-9e31-bc545061028c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="string(@classCode)=('CLUSTER')">(opleverenContactverslagen): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenContactverslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/@nullFlavor)">(opleverenContactverslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'])&lt;=1">(opleverenContactverslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.14'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:code[(@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenContactverslagen): element hl7:code[(@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:code[(@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenContactverslagen): element hl7:code[(@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenContactverslagen): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenContactverslagen): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenContactverslagen): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenContactverslagen): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:participant[@typeCode='RESP'])&lt;=1">(opleverenContactverslagen): element hl7:participant[@typeCode='RESP'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="count(hl7:participant[@typeCode='CST'])&lt;=1">(opleverenContactverslagen): element hl7:participant[@typeCode='CST'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']
Item: (opleverenContactverslagen)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']"
         id="tmp-r-1461b44f-4663-4d7c-87f8-cf75efa79cfb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.14')">(opleverenContactverslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.14' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:code[(@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenContactverslagen)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:code[(@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-18680d27-64f8-443b-9346-b3d1818ddf70">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="@nullFlavor or (@code='34900-1' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenContactverslagen): de elementwaarde MOET een zijn van 'code '34900-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:statusCode[@code='completed']
Item: (opleverenContactverslagen)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:statusCode[@code='completed']"
         id="tmp-r-d7311ff7-355c-4782-91fe-ff60d91d7eba">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenContactverslagen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget"
         id="tmp-r-ded0c8c1-a61f-4c43-82c3-900f92c41921">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTargetMinimal): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTargetMinimal): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(CDArecordTargetMinimal): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTargetMinimal): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-55705e6a-64b7-47ad-8320-d965f8b7f5e4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTargetMinimal): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTargetMinimal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTargetMinimal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTargetMinimal): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTargetMinimal): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-3eeda60b-9a7d-4903-b71c-8b2aeb6878d3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(CDArecordTargetMinimal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="@extension">(CDArecordTargetMinimal): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-8364c23a-dfb8-48f8-abe6-e91f50bebf6c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD.NL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@use) or string-length(@use)&gt;0">(Adres): attribuut @use MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.23-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(Adres): de waarde van use MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.23' PostalAddressUseNL (DYNAMISCH).</assert>
      <let name="elmcount"
           value="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:county|hl7:city|hl7:country|hl7:delimiter|hl7:unitID)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:streetName)&lt;=1">(Adres): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(Adres): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(Adres): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(Adres): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:postalCode)&lt;=1">(Adres): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:county)&lt;=1">(Adres): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:city)&lt;=1">(Adres): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:country)&lt;=1">(Adres): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:unitID)&lt;=1">(Adres): element hl7:unitID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:useablePeriod)&lt;=1">(Adres): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName"
         id="tmp-r-84ab8004-af76-457b-acf3-fa09c3f800c9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber"
         id="tmp-r-565bb549-1278-43cd-9ac8-178d7ba1a678">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:buildingNumberSuffix
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:buildingNumberSuffix"
         id="tmp-r-0bf2242f-7c04-4ac2-84ea-9041c1093c2a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:additionalLocator
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:additionalLocator"
         id="tmp-r-9399f7ca-f68d-42df-b10d-86f6d890e8ae">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="text()='to' or text()='by'">(Adres): de element content van hl7:additionalLocator MOET ''to' of 'by'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode"
         id="tmp-r-cd1e679b-f33b-44db-b985-02398575b7d0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:county
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:county"
         id="tmp-r-aae35318-2e45-48ec-a1db-85838469f8d2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="@nullFlavor or not(@code) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.17-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Adres): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.101.11.17 Gemeenten (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.17-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Adres): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.101.11.17 Gemeenten (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city"
         id="tmp-r-51621b98-335d-4850-8f45-2267068aeb87">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country"
         id="tmp-r-56d30312-1b51-41d4-92bd-cfbfc0934aa0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="@nullFlavor or not(@code) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.13-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Adres): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.101.11.13 Land (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.13-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Adres): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.101.11.13 Land (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:delimiter
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:delimiter"
         id="tmp-r-76985f71-10a5-48d4-873a-263eb31d5462">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:unitID
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:unitID"
         id="tmp-r-16ecf770-33a2-45e7-bcf3-28ac92e7de1d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:useablePeriod
Item: (Adres)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:useablePeriod"
         id="tmp-r-408ce636-bbbc-45f4-812d-ca39eb7a1905">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-a44eaca2-eb49-43d8-94e7-d974afeff275">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTargetMinimal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTargetMinimal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTargetMinimal): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:name)&lt;=1">(CDArecordTargetMinimal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTargetMinimal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTargetMinimal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTargetMinimal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:birthplace)&lt;=1">(CDArecordTargetMinimal): element hl7:birthplace komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (NaamPersoon)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-0e4598ad-0f92-4c1b-ab51-97e5df2cef75">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@use) or string-length(@use)&gt;0">(NaamPersoon): attribuut @use MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van use MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.18' EntityNameUseNL (DYNAMISCH).</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:suffix|hl7:delimiter)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="count(hl7:validTime)&lt;=1">(NaamPersoon): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given
Item: (NaamPersoon)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given"
         id="tmp-r-7fd41566-1aeb-45aa-94ab-634ed9e67d06">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.19-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.19' NaamDeelGivenQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix
Item: (NaamPersoon)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix"
         id="tmp-r-616f43aa-4a05-4fd5-9553-507fbf9f5539">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.20-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.20' NaamDeelPrefixQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family
Item: (NaamPersoon)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family"
         id="tmp-r-7ff0802d-f917-4f16-938b-a125c16d3a28">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.21-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.21' NaamDeelFamilyQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:suffix
Item: (NaamPersoon)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:suffix"
         id="tmp-r-3b6f0f48-cdb6-4745-96d4-a1e653c71e43">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.22-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.22' NaamDeelSuffixQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:delimiter
Item: (NaamPersoon)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:delimiter"
         id="tmp-r-3144dbe5-f6df-4177-a490-99ddf84298a2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:validTime
Item: (NaamPersoon)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:validTime"
         id="tmp-r-f1339cff-8085-4331-964d-272879bc6d5e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-ecf9b398-7dee-4997-8cda-adde3d9f1e25">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTargetMinimal): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTargetMinimal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-1cb8f53b-ce2a-4321-b166-79f9ab29f565">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace"
         id="tmp-r-b3117a57-c303-4024-ba01-e711ebb0076b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:place)&gt;=1 ">(CDArecordTargetMinimal): element hl7:place is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTargetMinimal): element hl7:place komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place"
         id="tmp-r-7deec54f-4efc-4e7f-b723-6929e91bfdcf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:addr)&gt;=1 ">(CDArecordTargetMinimal): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTargetMinimal): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr"
         id="tmp-r-c3db6847-d3f1-4da0-a2f2-6df5d0cdecbc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="elmcount" value="count(hl7:city|hl7:country)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="$elmcount&gt;=1">(CDArecordTargetMinimal): keuze (hl7:city of hl7:country) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="$elmcount&lt;=2">(CDArecordTargetMinimal): keuze (hl7:city of hl7:country) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:city)&lt;=1">(CDArecordTargetMinimal): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:country)&lt;=1">(CDArecordTargetMinimal): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city"
         id="tmp-r-24f1aa1f-0877-4546-9ef0-753ab44508d0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country"
         id="tmp-r-c907f2e7-9cb9-426f-8d9b-1080b63f0fb8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9031
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']
Item: (kezo-CDAInhoudsverantwoordelijke)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']"
         id="tmp-r-55fe3b89-2684-4f51-b28c-e73e7bf0081e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(kezo-CDAInhoudsverantwoordelijke): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-CDAInhoudsverantwoordelijke): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(kezo-CDAInhoudsverantwoordelijke): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="count(hl7:participantRole)&lt;=1">(kezo-CDAInhoudsverantwoordelijke): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:time
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:time"
         id="tmp-r-45e1081f-fdd9-4f5f-bba3-96f99c33b037">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole"
         id="tmp-r-297145ec-741c-4df5-a4b7-62842ac5dd2a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ASSIGNED')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:scopingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:id"
         id="tmp-r-b8ce3472-85d2-4677-9c20-fb70931f8b48">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:code"
         id="tmp-r-ee0fa878-c361-4297-970a-2503f7460922">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:addr
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:addr"
         id="tmp-r-46ecfde2-bce7-4d75-b2e5-533d18e65939">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:telecom
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:telecom"
         id="tmp-r-c5fd5c34-6d29-4c05-a650-62559bb449ea">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-f9c891a1-bb42-4ea9-a1d3-e75732027a48">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('PSN')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-r-f3f9324c-db4f-4cae-8fd2-a8f27715d3f7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-CDAResponsiblePartyBody): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-406310d9-56c5-417f-b820-8fa04ce6d212">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity"
         id="tmp-r-5f640d16-6231-49fe-9177-9d6a38fddf84">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ORG')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:id"
         id="tmp-r-60078680-a9c0-486d-ade8-2a855408cc5a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:code"
         id="tmp-r-af46a879-58b1-43ca-81ba-1ff4d59bf294">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9032
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']
Item: (kezo-CDADossierhouder)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']"
         id="tmp-r-b4591826-00e0-4bdf-ae64-3d683d197ac3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(kezo-CDADossierhouder): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-CDADossierhouder): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(kezo-CDADossierhouder): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="count(hl7:participantRole)&lt;=1">(kezo-CDADossierhouder): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:time
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:time"
         id="tmp-r-eaa849ca-ac29-41a0-ae38-9495123ac1a9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole"
         id="tmp-r-bf88a8d7-491a-427b-9751-8e12fe187cf6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ASSIGNED')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:scopingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:id"
         id="tmp-r-6f7324c8-3439-471a-921b-c687f90b2983">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:code"
         id="tmp-r-ac3bd6ab-1995-4240-a308-249c2e75d3e2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:addr
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:addr"
         id="tmp-r-0689aa38-afb7-4968-8b0e-e1108974a58b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:telecom
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:telecom"
         id="tmp-r-c9f52c28-631b-4aa1-9665-c60e5b4e814e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-78bcfec2-49b2-47f7-b8a7-5c62650b8e4d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('PSN')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-r-dc160c89-f3f3-4c09-89b7-fb331c711019">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-CDAResponsiblePartyBody): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-15a6c578-de67-4b91-aae2-a78f44a98496">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity"
         id="tmp-r-cdc6bad8-bf76-434f-9d75-6ad21cb24740">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ORG')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:id"
         id="tmp-r-5b4624b7-92ab-4269-8787-30ccf14f0d54">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:code"
         id="tmp-r-016253a3-ff8a-4f66-91ff-5d9e12ac0c88">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.14
Context: /hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:component[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.207']]
Item: (opleverenContactverslagen)
-->
   <rule context="/hl7:REPC_IN990101NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.14']/hl7:component[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.207']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(opleverenContactverslagen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.14-2015-06-01T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(opleverenContactverslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
</pattern>
