<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Name: KEZO Clinical Document Overdracht
Description: CDA document voor het overdragen van gegevens zorggroep huisarts
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000">
   <title>KEZO Clinical Document Overdracht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]
Item: (kezo-clinicaldocument-overdracht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']
Item: (kezo-clinicaldocument-overdracht)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']"
         id="tmp-r-c66f6b65-f5cb-4f31-9e7a-7f6a0a3318f7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:realmCode)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:typeId[@root='2.16.840.1.113883.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.51'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.51'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.51'])&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.51'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001']/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'])&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:id)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:code[(@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:code[(@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:code[(@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:code[(@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:title)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:languageCode[@code='nl-NL'])&gt;=1 and not(hl7:languageCode[@code='nl-NL']/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:languageCode[@code='nl-NL'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:languageCode[@code='nl-NL'])&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:languageCode[@code='nl-NL'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:author)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:custodian)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:custodian komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:component)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9026
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:realmCode
Item: (CDArealmCode)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:realmCode"
         id="tmp-r-d8c158c7-0f0d-4d68-b593-63cf6b0fa4a7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="@code">(CDArealmCode): attribute @code MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(CDArealmCode): attribuut @code MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@code,' ') return if ($code=('NL')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9026-2014-10-06T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(CDArealmCode): de waarde van code MOET 'code NL' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9016
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-0f9db819-da56-4128-bdbd-644240173224">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9016-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9016-2014-06-27T000000.html"
              test="string(@extension)=('POCD_HD000040')">(CDAtypeId): de waarde van @extension MOET 'POCD_HD000040' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9016-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(CDAtypeId): de waarde van @root MOET '2.16.840.1.113883.1.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']
Item: (kezo-clinicaldocument-overdracht)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']"
         id="tmp-r-33ee245f-7869-4414-8636-21be42ab4fd7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-clinicaldocument-overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.51')">(kezo-clinicaldocument-overdracht): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.51' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001']
Item: (kezo-clinicaldocument-overdracht)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100001']"
         id="tmp-r-d287a71c-7883-45f3-a9b0-401b28a0928b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-clinicaldocument-overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100001')">(kezo-clinicaldocument-overdracht): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100001' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9017
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:id
Item: (CDAid)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:id"
         id="tmp-r-2f6f87ae-6fdf-49eb-b4ab-277686d9c851">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9017-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:code[(@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (kezo-clinicaldocument-overdracht)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:code[(@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-aa5e0cce-e139-4e4e-8830-ff4e7468cadf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-clinicaldocument-overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="@nullFlavor or (@code='68608-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Summarization note')">(kezo-clinicaldocument-overdracht): de elementwaarde MOET een zijn van 'code '68608-9' codeSystem '2.16.840.1.113883.6.1' displayName='Summarization note''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9018
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:title
Item: (CDAtitle)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:title"
         id="tmp-r-6d85abee-e7ac-439e-9f06-fcffe5f3dbcb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9018-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9019
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:effectiveTime"
         id="tmp-r-df2402f9-7e2c-4578-93a7-9f90efa3f0f3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9019-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9020
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-66852296-08a1-4bc8-90f5-068633708353">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9020-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9020-2014-06-27T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16926 HL7 BasicConfidentialityKind (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9020-2014-06-27T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.16926 HL7 BasicConfidentialityKind (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9027
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:languageCode[@code='nl-NL']
Item: (CDAlanguageCode)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:languageCode[@code='nl-NL']"
         id="tmp-r-2bf67b93-1bec-4311-b647-aff7976e4e5f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9027-2014-10-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9027-2014-10-06T000000.html"
              test="@nullFlavor or (@code='nl-NL')">(CDAlanguageCode): de elementwaarde MOET een zijn van 'code 'nl-NL''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget"
         id="tmp-r-f2b6e57a-7f79-4bf9-8e75-280c60a480a3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTarget): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTarget): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(CDArecordTarget): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-35d265a2-6d46-4ee5-8891-244c26e465cb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTarget): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-244ce3d2-434e-49d8-8141-bb7be8495dbe">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(CDArecordTarget): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="@extension">(CDArecordTarget): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-4e5cdc4c-fb2b-480f-a6a2-b4891265936f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-r-952ac7f0-c9a0-41cc-a5b9-91c93e978768">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-c402326f-4031-4252-a4ef-d6c2faf7d006">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTarget): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(sdtc:multipleBirthInd)&lt;=1">(CDArecordTarget): element sdtc:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:birthplace)&lt;=1">(CDArecordTarget): element hl7:birthplace komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-ec56b007-048b-48fb-bf4e-8917471abd11">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-38fde543-2dc8-4542-bfc0-53f33d96c201">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-d7bc6fcb-8e6f-43c2-a536-47386392eba0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/sdtc:multipleBirthInd
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/sdtc:multipleBirthInd"
         id="tmp-r-c383a888-20db-4191-8eba-532327016561">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace"
         id="tmp-r-c166b3f1-5879-4247-8796-10c68a68270c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:place)&gt;=1 ">(CDArecordTarget): element hl7:place is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTarget): element hl7:place komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place"
         id="tmp-r-0bef1534-df19-42b9-8be5-d02e5ba8ec9c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:addr)&gt;=1 ">(CDArecordTarget): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTarget): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr"
         id="tmp-r-7efaa0b7-dd23-4487-ac06-cb2071b4d723">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="elmcount" value="count(hl7:city|hl7:country)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="$elmcount&gt;=1">(CDArecordTarget): keuze (hl7:city of hl7:country) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="$elmcount&lt;=2">(CDArecordTarget): keuze (hl7:city of hl7:country) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:city)&lt;=1">(CDArecordTarget): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="count(hl7:country)&lt;=1">(CDArecordTarget): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city"
         id="tmp-r-a7676343-5208-482c-b573-580e4456f71c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.101
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country
Item: (CDArecordTarget)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country"
         id="tmp-r-b546ac25-62ae-47cb-84ff-13f0798aa4b2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.101-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author"
         id="tmp-r-22b3c567-c4c7-4302-be19-e33de5057944">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAauthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:time"
         id="tmp-r-003c7338-3d9b-4d69-bbec-2d6377cf129e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor"
         id="tmp-r-f08724e8-fc09-479f-b0e3-6784043ad909">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAauthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAauthor): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDAauthor): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDAauthor): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-2d550982-521d-4773-9bbb-8a90aa5f39f3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-4fe07478-c305-4a6d-aaf5-7b93e50636aa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAauthor): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAauthor): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.102
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-f79ee82c-dd8b-443e-bd96-c7fa35131aa3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAauthor): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.102-2014-06-27T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-f61bd9a6-9084-474d-9c9f-3fa8c90007f7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian"
         id="tmp-r-c1be7166-6e1e-47bc-9252-dda21cc97f87">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(CDAcustodian): de waarde van @typeCode MOET 'CST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-0aaffb35-93b6-4e32-b865-93616fc45f3f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAcustodian): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-448ca840-0ec4-4806-9dbf-1cded7560d2b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAcustodian): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="count(hl7:id)&lt;=1">(CDAcustodian): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.103
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAcustodian)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-b7be6ca3-f9e8-4b3e-9fd3-482f1fc38984">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.103-2014-06-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]"
         id="tmp-r-ca34edf0-75ad-4ec7-a2e5-39117b8b203e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@typeCode)=('IND')">(CDAParticipantContactperson): de waarde van @typeCode MOET 'IND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']/@nullFlavor)">(CDAParticipantContactperson): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(CDAParticipantContactperson): element hl7:associatedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(CDAParticipantContactperson): element hl7:associatedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']"
         id="tmp-r-7542228a-d156-41c3-93ec-b0109d4a3e38">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.106')">(CDAParticipantContactperson): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.106' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity"
         id="tmp-r-e75821e1-e5c6-44eb-bf82-1a2c0fc1d77c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@classCode)=('PRS')">(CDAParticipantContactperson): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantContactperson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAParticipantContactperson): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(CDAParticipantContactperson): element hl7:associatedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(CDAParticipantContactperson): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:code
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:code"
         id="tmp-r-433a0b0a-4acd-4a58-ae52-95a2444f3de8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantContactperson): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantContactperson): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:addr
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:addr"
         id="tmp-r-5b65a3d1-c308-4539-83de-b807da33c4dc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:telecom
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-991eb84c-5443-483a-8fd2-83e7f450adff">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantContactperson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.106
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson
Item: (CDAParticipantContactperson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-8e490706-7bf7-467c-a421-e420662da000">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAParticipantContactperson): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.106-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantContactperson): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.106']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-82d97134-b48e-415c-a12c-1c5db84911fd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component
Item: (kezo-clinicaldocument-overdracht)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component"
         id="tmp-r-0c645056-d7bf-4c4b-bccb-46edbddb8ba9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(kezo-clinicaldocument-overdracht): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(kezo-clinicaldocument-overdracht): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:structuredBody)&gt;=1 and not(hl7:structuredBody/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:structuredBody is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:structuredBody)&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:structuredBody komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody
Item: (kezo-clinicaldocument-overdracht)
-->

   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody"
         id="tmp-r-a79e4280-c849-4505-b1e2-315ed1a299e8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@classCode)=('DOCBODY') or not(@classCode)">(kezo-clinicaldocument-overdracht): de waarde van @classCode MOET 'DOCBODY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(kezo-clinicaldocument-overdracht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.302']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.302']]/@nullFlavor)">(kezo-clinicaldocument-overdracht): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.302']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.302']])&lt;=1">(kezo-clinicaldocument-overdracht): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.302']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.51
Context: *[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.302']]
Item: (kezo-clinicaldocument-overdracht)
-->
   <rule context="*[hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51']]/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.51' and hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100001']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.302']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(kezo-clinicaldocument-overdracht): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151230T152008/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.51-2014-06-27T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(kezo-clinicaldocument-overdracht): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
